%define module Crypt-OpenSSL-RSA

Summary: RSA encoding and decoding, using the openSSL libraries
Name: perl-%module
Version: 0.23
Release: alt0.M30
License: GPL or Artistic
Group: Development/Perl
URL: http://search.cpan.org/dist/%module/
Source: http://search.cpan.org/CPAN/authors/id/I/IR/IROBERTS/%module-%version.tar.gz

# Not autodetectable (required inside eval)
Requires: perl-Crypt-OpenSSL-Bignum

# Automatically added by buildreq on Tue Jun 13 2006 (-bi)
BuildRequires: libssl-devel perl-Crypt-OpenSSL-Bignum perl-Crypt-OpenSSL-Random perl-devel

%description
Crypt::OpenSSL::RSA provides the ability to RSA encrypt strings which
are somewhat shorter than the block size of a key. It also allows for
decryption, signatures and signature verification.

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install
%__rm -rf %buildroot/.perl.req

%files
%perl_vendor_archlib/Crypt/OpenSSL
%perl_vendor_autolib/Crypt/OpenSSL
%perl_vendor_man3dir/*

%changelog
* Wed Oct 25 2006 Serhii Hlodin <hlodin@altlinux.ru> 0.23-alt0.M30
- Backport to Compact 3.0 

* Tue Jun 13 2006 Victor Forsyuk <force@altlinux.ru> 0.23-alt1
- 0.23

* Wed Nov 16 2005 Victor Forsyuk <force@altlinux.ru> 0.22-alt1
- Initial build.
